# frozen_string_literal: true
namespace :rdms do
  desc "Fix meta.json in S3 for all experiments. usage: rdms:fix_meta_json_in_s3"
  task fix_meta_json_in_s3: :environment do
    CrcDataset.all.each do |w|
      # save meta.json for modalities
      puts "Saving meta.json for CrcDataset #{w.id}"
      begin
        w.save_meta_json_in_s3
      rescue
        puts "error saving metadata for #{work_type} #{w.id}"
      end
    end
  end
end
