deploy_info = {
  "branch" => "Unknown branch",
  "tag" => "Unknown tag",
  "sha" => "Unknown SHA",
  "last_deployed" => "Unknown"
}

if File.exist?('deploy_info.json')
  deploy_info.merge!(JSON.parse(File.read('deploy_info.json')))
end

BRANCH = deploy_info["branch"]
GIT_TAG =  deploy_info["tag"]
GIT_SHA = deploy_info["sha"]
LAST_DEPLOYED = deploy_info["last_deployed"] # || DateTime.now.strftime("%Y-%m-%d %H:%M")

HYRAX_VERSION =
  if File.exist?('Gemfile.lock')
    version_match = `grep 'hyrax (' Gemfile.lock`
    version_match.present? ? version_match.lines.first.chomp.lstrip.split(/ /)[1].gsub('(','').gsub(')','') : "Unknown"
  else
    "Unknown"
  end
