namespace :rdms do
  namespace :s3_bucket do
    desc "Create S3 bucket for RDMS uploads"
    task create: :environment do
      if ENV.fetch('USE_S3', false)
        s3 = S3StorageService.new
        s3.init_client
        bucket_name = s3.sanitise_name(ENV['S3_FILE_UPLOAD_BUCKET'])
        s3.create_bucket(bucket_name) unless s3.bucket_exists?(bucket_name)
      end
    end
  end
end
